Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.multi
Class MultiListUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ListUI
                  |
                  +--javax.swing.plaf.multi.MultiListUI

public class MultiListUI
extends ListUI

MultiListUI implementation

This file was automatically generated by AutoMulti.

Field Summary
`protected java.util.Vector` | `uis` The Vector containing the real UI's.

Constructor Summary
`MultiListUI()`

Method Summary
`boolean` | `contains(JComponent a, int b, int c)` Call contains on each UI handled by this MultiUI.
`static ComponentUI` | `createUI(JComponent a)` Return a multiplexing UI instance if any of the auxiliary LookAndFeels support this UI.
`Accessible` | `getAccessibleChild(JComponent a, int b)` Call getAccessibleChild on each UI handled by this MultiUI.
`int` | `getAccessibleChildrenCount(JComponent a)` Call getAccessibleChildrenCount on each UI handled by this MultiUI.
`java.awt.Rectangle` | `getCellBounds(JList a, int b, int c)` Call getCellBounds on each UI handled by this MultiUI.
`java.awt.Dimension` | `getMaximumSize(JComponent a)` Call getMaximumSize on each UI handled by this MultiUI.
`java.awt.Dimension` | `getMinimumSize(JComponent a)` Call getMinimumSize on each UI handled by this MultiUI.
`java.awt.Dimension` | `getPreferredSize(JComponent a)` Call getPreferredSize on each UI handled by this MultiUI.
`ComponentUI[]` | `getUIs()` Return the list of UI's associated with this multiplexing UI.
`java.awt.Point` | `indexToLocation(JList a, int b)` Call indexToLocation on each UI handled by this MultiUI.
`void` | `installUI(JComponent a)` Call installUI on each UI handled by this MultiUI.
`int` | `locationToIndex(JList a, java.awt.Point b)` Call locationToIndex on each UI handled by this MultiUI.
`void` | `paint(java.awt.Graphics a, JComponent b)` Call paint on each UI handled by this MultiUI.
`void` | `uninstallUI(JComponent a)` Call uninstallUI on each UI handled by this MultiUI.
`void` | `update(java.awt.Graphics a, JComponent b)` Call update on each UI handled by this MultiUI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uis

    protected java.util.Vector uis

  The Vector containing the real UI's. This is populated in the call to createUI, and can be obtained by calling getUIs. The first element is guaranteed to the real UI obtained from the default look and feel.

Constructor Detail

### MultiListUI

    public MultiListUI()

Method Detail

### getUIs

    public ComponentUI[] getUIs()

  Return the list of UI's associated with this multiplexing UI. This allows processing of the UI's by an application aware of multiplexing UI's on components.

### locationToIndex

    public int locationToIndex(JList a,
                               java.awt.Point b)

  Call locationToIndex on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    locationToIndex in class ListUI

### indexToLocation

    public java.awt.Point indexToLocation(JList a,
                                          int b)

  Call indexToLocation on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    indexToLocation in class ListUI

### getCellBounds

    public java.awt.Rectangle getCellBounds(JList a,
                                            int b,
                                            int c)

  Call getCellBounds on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getCellBounds in class ListUI

### installUI

    public void installUI(JComponent a)

  Call installUI on each UI handled by this MultiUI.
  Overrides:
    installUI in class ComponentUI

### uninstallUI

    public void uninstallUI(JComponent a)

  Call uninstallUI on each UI handled by this MultiUI.
  Overrides:
    uninstallUI in class ComponentUI

### paint

    public void paint(java.awt.Graphics a,
                      JComponent b)

  Call paint on each UI handled by this MultiUI.
  Overrides:
    paint in class ComponentUI

### update

    public void update(java.awt.Graphics a,
                       JComponent b)

  Call update on each UI handled by this MultiUI.
  Overrides:
    update in class ComponentUI

### getPreferredSize

    public java.awt.Dimension getPreferredSize(JComponent a)

  Call getPreferredSize on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getPreferredSize in class ComponentUI

### getMinimumSize

    public java.awt.Dimension getMinimumSize(JComponent a)

  Call getMinimumSize on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getMinimumSize in class ComponentUI

### getMaximumSize

    public java.awt.Dimension getMaximumSize(JComponent a)

  Call getMaximumSize on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getMaximumSize in class ComponentUI

### contains

    public boolean contains(JComponent a,
                            int b,
                            int c)

  Call contains on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    contains in class ComponentUI

### createUI

    public static ComponentUI createUI(JComponent a)

  Return a multiplexing UI instance if any of the auxiliary LookAndFeels support this UI. Otherwise, just return a UI obtained using the normal methods.

### getAccessibleChildrenCount

    public int getAccessibleChildrenCount(JComponent a)

  Call getAccessibleChildrenCount on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getAccessibleChildrenCount in class ComponentUI

### getAccessibleChild

    public Accessible getAccessibleChild(JComponent a,
                                         int b)

  Call getAccessibleChild on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getAccessibleChild in class ComponentUI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.